be.fgov.ehealth.rn.cbsspersonservice.core.v1

## Class RegisterPersonDeclarationType

- java.lang.Object
- - be.fgov.ehealth.rn.cbsspersonservice.core.v1.RegisterPersonDeclarationType

- All Implemented Interfaces:
    Serializable

      @Generated(value="com.sun.tools.xjc.Driver",
                 date="2025-10-31T09:58:46+01:00",
                 comments="JAXB RI v2.3.7")
      public class RegisterPersonDeclarationType
      extends Object
      implements Serializable

  Type definiting the business information of the register person capability

  Java class for RegisterPersonDeclarationType complex type.

  The following schema fragment specifies the expected content contained within this class.

       <complexType name="RegisterPersonDeclarationType">
         <complexContent>
           <restriction base="{http://www.w3.org/2001/XMLSchema}anyType">
             <sequence>
               <element name="Person" type="{urn:be:fgov:ehealth:rn:cbsspersonlegaldata:v1}CbssPersonRequestType"/>
             </sequence>
           </restriction>
         </complexContent>
       </complexType>

  See Also:
    Serialized Form

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `RegisterPersonDeclarationType()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `CbssPersonRequestType` | `getPerson()` Gets the value of the person property.
    `void` | `setPerson(CbssPersonRequestType value)` Sets the value of the person property.

    - ### Methods inherited from class java.lang.Object

      `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### RegisterPersonDeclarationType

          public RegisterPersonDeclarationType()

  - ### Method Detail

    - #### getPerson

          public CbssPersonRequestType getPerson()

      Gets the value of the person property.
      Returns:
        possible object is `CbssPersonRequestType`

    - #### setPerson

          public void setPerson(CbssPersonRequestType value)

      Sets the value of the person property.
      Parameters:
        `value` - allowed object is `CbssPersonRequestType`

Connector Packaging PERSPRACTICALNURSE 4.8.4 API
Copyright © {inceptionYear}-2025 eHealth. All Rights Reserved.